--- title: "getPlacementGroupList" slug: "compute-vserver-server-placementgroup-getplacementgrouplist" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-placementgroup-getplacementgrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getPlacementGroupList Available in VPC Get the physical placement group list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getPlacementGroupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `placementGroupNoList.N` | Array | Optional | Physical placement group number list - Filter by the physical placement group number. - Example: `placementGroupNoList.1=1234&placementGroupNoList.2=2345` | | `placementGroupName` | String | Optional | Filter by the physical placement group name. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getPlacementGroupList ?regionCode=KR &placementGroupNoList.1=***61 &placementGroupName=test-*** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getPlacementGroupListResponse` | Object | - | Response result - See [PlacementGroupList](/docs/en/common-vapidatatype-placementgrouplist). | | `getPlacementGroupListResponse.requestId` | String | - | ID for the request - UUID format | | `getPlacementGroupListResponse.returnCode` | String | - | Response code | | `getPlacementGroupListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getPlacementGroupListResponse": { "totalRows": 1, "placementGroupList": [ { "placementGroupNo": "***61", "placementGroupName": "test-***", "placementGroupType": { "code": "AA", "codeName": "Anti-Affinity" } } ], "requestId": "327bfd55-2e71-4720-8c74-c99c35bfab46", "returnCode": "0", "returnMessage": "success" } } ```